org.springframework.web.servlet.tags.form

## Class PasswordInputTag

- java.lang.Object
- - javax.servlet.jsp.tagext.TagSupport
  - - org.springframework.web.servlet.tags.RequestContextAwareTag
    - - org.springframework.web.servlet.tags.HtmlEscapingAwareTag
      - - org.springframework.web.servlet.tags.form.AbstractFormTag
        - - org.springframework.web.servlet.tags.form.AbstractDataBoundFormElementTag
          - - org.springframework.web.servlet.tags.form.AbstractHtmlElementTag
            - - org.springframework.web.servlet.tags.form.AbstractHtmlInputElementTag
              - - org.springframework.web.servlet.tags.form.InputTag
                - - org.springframework.web.servlet.tags.form.PasswordInputTag

All Implemented Interfaces:
  Serializable, DynamicAttributes, IterationTag, JspTag, Tag, TryCatchFinally, EditorAwareTag

    public class PasswordInputTag
    extends InputTag

Databinding-aware JSP tag for rendering an HTML '`input`' element with a '`type`' of '`password`'.

Since:
  2.0
Author:
  Rob Harrop, Rick Evans, Rossen Stoyanchev
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.springframework.web.servlet.tags.form.InputTag

`ALT_ATTRIBUTE, AUTOCOMPLETE_ATTRIBUTE, MAXLENGTH_ATTRIBUTE, ONSELECT_ATTRIBUTE, READONLY_ATTRIBUTE, SIZE_ATTRIBUTE`

### Fields inherited from class org.springframework.web.servlet.tags.form.AbstractHtmlInputElementTag

`ACCESSKEY_ATTRIBUTE, DISABLED_ATTRIBUTE, ONBLUR_ATTRIBUTE, ONCHANGE_ATTRIBUTE, ONFOCUS_ATTRIBUTE`

### Fields inherited from class org.springframework.web.servlet.tags.form.AbstractHtmlElementTag

`CLASS_ATTRIBUTE, DIR_ATTRIBUTE, LANG_ATTRIBUTE, ONCLICK_ATTRIBUTE, ONDBLCLICK_ATTRIBUTE, ONKEYDOWN_ATTRIBUTE, ONKEYPRESS_ATTRIBUTE, ONKEYUP_ATTRIBUTE, ONMOUSEDOWN_ATTRIBUTE, ONMOUSEMOVE_ATTRIBUTE, ONMOUSEOUT_ATTRIBUTE, ONMOUSEOVER_ATTRIBUTE, ONMOUSEUP_ATTRIBUTE, STYLE_ATTRIBUTE, TABINDEX_ATTRIBUTE, TITLE_ATTRIBUTE`

### Fields inherited from class org.springframework.web.servlet.tags.form.AbstractDataBoundFormElementTag

`COMMAND_NAME_VARIABLE_NAME, NESTED_PATH_VARIABLE_NAME`

### Fields inherited from class org.springframework.web.servlet.tags.RequestContextAwareTag

`logger, REQUEST_CONTEXT_PAGE_ATTRIBUTE`

### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

`pageContext`

### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface javax.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

### Constructor Summary

Constructors
Constructor and Description
`PasswordInputTag()`

### Method Summary

Methods
`protected String` `getType()` Return '`password`' causing the rendered HTML '`input`' element to have a '`type`' of '`password`'.
`boolean` `isShowPassword()` Is the password value to be rendered?
`protected boolean` `isValidDynamicAttribute(String localName, Object value)` Flags "type" as an illegal dynamic attribute.
`void` `setShowPassword(boolean showPassword)` Is the password value to be rendered?
`protected void` `writeValue(TagWriter tagWriter)` The `PasswordInputTag` only writes it's value if the `'showPassword'` property value is `true`.

### Methods inherited from class org.springframework.web.servlet.tags.form.InputTag

`getAlt, getAutocomplete, getMaxlength, getOnselect, getSize, setAlt, setAutocomplete, setMaxlength, setOnselect, setSize, writeTagContent`

### Methods inherited from class org.springframework.web.servlet.tags.form.AbstractHtmlInputElementTag

`getAccesskey, getDisabled, getOnblur, getOnchange, getOnfocus, getReadonly, isDisabled, isReadonly, setAccesskey, setDisabled, setOnblur, setOnchange, setOnfocus, setReadonly, writeOptionalAttributes`

### Methods inherited from class org.springframework.web.servlet.tags.form.AbstractHtmlElementTag

`getCssClass, getCssErrorClass, getCssStyle, getDir, getDynamicAttributes, getLang, getOnclick, getOndblclick, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getTabindex, getTitle, resolveCssClass, setCssClass, setCssErrorClass, setCssStyle, setDir, setDynamicAttribute, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setTabindex, setTitle, writeDefaultAttributes`

### Methods inherited from class org.springframework.web.servlet.tags.form.AbstractDataBoundFormElementTag

`autogenerateId, convertToDisplayString, doFinally, getBindStatus, getBoundValue, getEditor, getId, getName, getNestedPath, getPath, getPropertyEditor, getPropertyPath, processFieldValue, resolveId, setId, setPath`

### Methods inherited from class org.springframework.web.servlet.tags.form.AbstractFormTag

`createTagWriter, doStartTagInternal, evaluate, evaluateBoolean, getDisplayString, getDisplayString, isDefaultHtmlEscape, writeOptionalAttribute`

### Methods inherited from class org.springframework.web.servlet.tags.HtmlEscapingAwareTag

`isHtmlEscape, setHtmlEscape`

### Methods inherited from class org.springframework.web.servlet.tags.RequestContextAwareTag

`doCatch, doStartTag, getRequestContext`

### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

`doAfterBody, doEndTag, findAncestorWithClass, getParent, getValue, getValues, release, removeValue, setPageContext, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PasswordInputTag

    public PasswordInputTag()

### Method Detail

#### isShowPassword

    public boolean isShowPassword()

Is the password value to be rendered?

Returns:
  `true` if the password value to be rendered.

#### setShowPassword

    public void setShowPassword(boolean showPassword)

Is the password value to be rendered?

Parameters:
  `showPassword` - `true` if the password value is to be rendered.

#### isValidDynamicAttribute

    protected boolean isValidDynamicAttribute(String localName,
                                  Object value)

Flags "type" as an illegal dynamic attribute.

Overrides:
  `isValidDynamicAttribute` in class `InputTag`

#### getType

    protected String getType()

Return '`password`' causing the rendered HTML '`input`' element to have a '`type`' of '`password`'.

Overrides:
  `getType` in class `InputTag`

#### writeValue

    protected void writeValue(TagWriter tagWriter)
                       throws JspException

The `PasswordInputTag` only writes it's value if the `'showPassword'` property value is `true`.

Overrides:
  `writeValue` in class `InputTag`
Throws:
  `JspException`